Summary:        Tool to translate x86-64 CPU Machine Check Exception data.
Name:           mcelog
Version:        0.9pre
Release: 	%(R="$Revision: 1.29 $"; RR="${R##: }"; echo ${RR%%?})%{?dist}
Epoch:		1
Group:          System Environment/Base
License:        GPL
Source0:        mcelog-%{version}.tar.gz
Patch1:		mcelog-0.9pre-rhel5-version-of-mce-struct.patch
Patch2:		mcelog-0.9pre-rhel5-do-not-run-on-xen-pv.patch
Patch3:		mcelog-0.9pre-rhel5-do-not-run-on-xen-pv-2.patch
Buildroot:      %{_tmppath}/%{name}-%{version}-root
ExclusiveArch:	x86_64
URL: git://git.kernel.org/pub/scm/utils/cpu/mce/mcelog.git

%description
mcelog is a daemon that collects and decodes Machine Check Exception data
on x86-64 machines.

%prep
%setup -q -c
cd mcelog-%{version}
%patch1 -p1
%patch2 -p1
%patch3 -p1

%build
rm -rf $RPM_BUILD_ROOT
mkdir -p %{buildroot}/usr/sbin
mkdir -p %{buildroot}/usr/share/man

cd mcelog-%{version}
make CFLAGS="$RPM_OPT_FLAGS -fpie -pie"
cd ..

%install
mkdir -p %{buildroot}/usr/share/man/man{1,8}
mkdir -p %{buildroot}/etc/cron.hourly
cd mcelog-%{version}
install mcelog %{buildroot}/usr/sbin/mcelog
install mcelog.cron %{buildroot}/etc/cron.hourly/mcelog.cron
install mcelog.conf %{buildroot}/etc/mcelog.conf
cp mcelog.8 %{buildroot}/usr/share/man/man8
cd ..
chmod -R a-s %{buildroot}

%clean
[ "$RPM_BUILD_ROOT" != "/" ] && [ -d $RPM_BUILD_ROOT ] && rm -rf $RPM_BUILD_ROOT;

%files
%defattr(-,root,root)
/usr/sbin/mcelog
/etc/cron.hourly/mcelog.cron
/etc/mcelog.conf
%attr(0644,root,root) %{_mandir}/*/*

%changelog
* Mon Nov 09 2009 Prarit Bhargava <prarit@redhat.com>
- do not run on Xen PV guests (domU) v2
- fix typo

* Tue Jul 21 2009 Prarit Bhargava <prarit@redhat.com>
- do not run on Xen PV guests (domU)

* Tue May 19 2009 Prarit Bhargava <prarit@redhat.com>
- back out struct mce changes to match RHEL5 kernel

* Wed May 11 2009 Prarit Bhargava <prarit@redhat.com>
- Update to upstream 0.9pre
- Update source location

* Wed Apr 22 2009 Prarit Bhargava <prarit@redhat.com>
- Update to upstream 0.8pre

* Mon Jul 17 2006 Jesse Keating <jkeating@redhat.com>
- Rebuild.

* Fri Jun 30 2006 Dave Jones <davej@redhat.com>
- Rebuild. (#197385)

* Wed May 17 2006 Dave Jones <davej@redhat.com>
- Update to upstream 0.7
- Change frequency to hourly instead of daily.

* Thu Feb 09 2006 Dave Jones <davej@redhat.com>
- rebuild.

* Wed Feb  8 2006 Dave Jones <davej@redhat.com>
- Update to upstream 0.6

* Mon Dec 19 2005 Dave Jones <davej@redhat.com>
- Update to upstream 0.5

* Fri Dec 16 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt for new gcj

* Fri Dec 09 2005 Jesse Keating <jkeating@redhat.com>
- rebuilt

* Tue Mar  1 2005 Dave Jones <davej@redhat.com>
- Rebuild for gcc4

* Wed Feb  9 2005 Dave Jones <davej@redhat.com>
- Update to upstream 0.4

* Thu Jan 27 2005 Dave Jones <davej@redhat.com>
- Initial packaging.

